classification
Title: Add the UNSELECT command to imaplib
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: corona10 Nosy List: corona10, eric.smith, vstinner
Priority: normal Keywords: patch

Created on 2020-04-24 00:44 by eric.smith, last changed 2020-04-27 14:59 by corona10. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 19712 merged corona10, 2020-04-25 14:15
Messages (3)
msg367165 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2020-04-24 00:44
RFC 3691 from 2004 adds support for the UNSELECT command as an extension capability. https://tools.ietf.org/html/rfc3691

imaplib does not support UNSELECT.
msg367427 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2020-04-27 14:53
New changeset c5c42815ecb560bbf34db99b0e15fe9b604be889 by Dong-hee Na in branch 'master':
bpo-40375: Implement imaplib.IMAP4.unselect (GH-19712)
https://github.com/python/cpython/commit/c5c42815ecb560bbf34db99b0e15fe9b604be889
msg367428 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2020-04-27 14:59
I am now closing this issue.

Thank you Eric and Victor for the review!
History
Date User Action Args
2020-04-27 14:59:53corona10setstatus: open -> closed

nosy: + vstinner
messages: + msg367428

resolution: fixed
stage: patch review -> resolved
2020-04-27 14:53:01corona10setmessages: + msg367427
2020-04-25 17:06:07corona10setassignee: corona10
2020-04-25 14:15:55corona10setkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request19034
2020-04-24 15:50:50corona10setnosy: + corona10
2020-04-24 00:44:57eric.smithcreate